#pragma once
#include "afxdtctl.h"


// CCVehicleListDlg 对话框

class CCVehicleListDlg : public CDialog
{
	DECLARE_DYNAMIC(CCVehicleListDlg)

public:
	CCVehicleListDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCVehicleListDlg();

// 对话框数据
	enum { IDD = IDD_PARK_VEHICLELIST_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedParkAddlistfileButton();
	afx_msg void OnBnClickedParkImportlistfileButton();
	afx_msg void OnBnClickedParkAllowlistButton();
	afx_msg void OnBnClickedParkBlocklistButton2();
	afx_msg void OnBnClickedParkAddrecordButton();
	afx_msg void OnBnClickedParkModifyrecordButton();
	afx_msg void OnBnClickedParkDeleterecordButton();

public:
	INT32   m_dwId;   
	CString m_strPlateNo;
	INT32   m_dwEffectiveTime;                 
	INT32   m_dwExpirationTime;    

	CString m_strImportPath;
	int m_ListRadio;
	CDateTimeCtrl m_BeginData;
	CDateTimeCtrl m_BeginTime;
	CDateTimeCtrl m_EndData;
	CDateTimeCtrl m_EndTime;
};
